Bug 2974 - Kyocera KX driver for Kyocera KM-1650 chrashes samba when printing
Kyocera KX driver for Kyocera KM-1650 chrashes samba when printing
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.14a
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 05:30 UTC by tarjei
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tarjei 2005-08-10 05:30:01 UTC
Hi, I got a Kyocera KM 1650 printer set up with cups to print. The driver has
been uploaded from a Windows machine and is a windowsbased driver. 



Somehow the driver causes Samba to crash with the following error:

This is what shows up through syslog:
Aug 10 12:40:21 mail2 smbd[10385]: [2005/08/10 12:40:21, 0]
lib/fault.c:fault_report(36)
Aug 10 12:40:21 mail2 smbd[10385]:  
===============================================================
Aug 10 12:40:21 mail2 smbd[10385]: [2005/08/10 12:40:21, 0]
lib/fault.c:fault_report(37)
Aug 10 12:40:21 mail2 smbd[10385]:   INTERNAL ERROR: Signal 11 in pid 10385
(3.0.14a-4.1-SUSE)
Aug 10 12:40:21 mail2 smbd[10385]:   Please read the appendix Bugs of the Samba
HOWTO collection
Aug 10 12:40:21 mail2 smbd[10385]: [2005/08/10 12:40:21, 0]
lib/fault.c:fault_report(39)
Aug 10 12:40:21 mail2 smbd[10385]:  
===============================================================
Aug 10 12:40:21 mail2 smbd[10385]: [2005/08/10 12:40:21, 0]
lib/util.c:smb_panic2(1463)
Aug 10 12:40:21 mail2 smbd[10385]:   PANIC: internal error
Aug 10 12:40:21 mail2 smbd[10385]: [2005/08/10 12:40:21, 0]
lib/util.c:smb_panic2(1471)
Aug 10 12:40:21 mail2 smbd[10385]:   BACKTRACE: 11 stack frames:
Aug 10 12:40:21 mail2 smbd[10385]:    #0 /usr/sbin/smbd(smb_panic2+0x120)
[0x820ca30]
Aug 10 12:40:21 mail2 smbd[10385]:    #1 /usr/sbin/smbd(smb_panic+0x26) [0x820cc06]
Aug 10 12:40:21 mail2 smbd[10385]:    #2 /usr/sbin/smbd [0x81f7550]
Aug 10 12:40:21 mail2 smbd[10385]:    #3 [0xffffe420]
Aug 10 12:40:21 mail2 smbd[10385]:    #4 /usr/sbin/smbd(cups_cache_reload+0x159)
[0x81f0469]
Aug 10 12:40:21 mail2 smbd[10385]:    #5 /usr/sbin/smbd(pcap_cache_reload+0x371)
[0x81edcd1]
Aug 10 12:40:21 mail2 smbd[10385]:    #6 /usr/sbin/smbd(reload_printers+0x33)
[0x828f303]
Aug 10 12:40:21 mail2 smbd[10385]:    #7 /usr/sbin/smbd(reload_services+0x7e)
[0x828f48e]

Aug 10 12:40:21 mail2 smbd[10385]:    #8 /usr/sbin/smbd(main+0x27e) [0x829049e]
Aug 10 12:40:21 mail2 smbd[10385]:    #9
/lib/tls/libc.so.6(__libc_start_main+0xe0) [0x402bbb10]
Aug 10 12:40:21 mail2 smbd[10385]:    #10 /usr/sbin/smbd [0x807a431]



Also, note that the printspool fails to clean it self filling up with files.
Comment 1 Gerald (Jerry) Carter 2005-08-12 10:20:26 UTC
It's not the driver that causes the crash.  it is the cups_cache_reload()
function that is crashing.  I think this should be fixed in 3.0.20rc2).
Please reopen the bug if you can reproduce it with that version.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:17:17 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.